#!/usr/local/bin/perl

# Example
# putwcs.pl "/export/hd1/ohyama/IRC/PV/SPEC/FLUX/5020033.1/irc_specred_out/" "5020033.1.N3_NP.refimage_bg.wcs.fits"

$dir=$ARGV[0];
$filename=$ARGV[1];

$IRC_SPECRED_HOME=$ENV{'IRC_SPECRED_HOME'};

open(OUT, "> $IRC_SPECRED_HOME/IRC_SPECRED/putwcs.sh");

printf OUT "cd $IRC_SPECRED_HOME/IRC_SPECRED/\n";
printf OUT "echo \"\n";
printf OUT "cl\n";
printf OUT "irc\n";
printf OUT "cd %s\n",$dir;
printf OUT "putwcs \'%s\' verbose- sig_rej=2. det_sig=1.5 toleran=3.0 minmatch=8 minstar=8\n",$filename;
printf OUT "\" | cl\n";

close(OUT);

system("xgterm -e sh $IRC_SPECRED_HOME/IRC_SPECRED/putwcs.sh");
system("\rm $IRC_SPECRED_HOME/IRC_SPECRED/putwcs.sh");
