pro irc_list_read,list,num,dir=dir,list_in=list_in,mytitle=mytitle

; select a list of files '*.lst' from disk,
; return an array of file names found in a list, and number of files
;
; input: filename of list file (option)
; output: list: an array of file names in a list
;         num: number of files in a list

  if keyword_set(dir) EQ 0 then dir='.'
  cd,dir

  if ~ defined(mytitle) then mymytitle='Input a file of fiels' else mymytitle=mytitle

  if keyword_set(list_in) EQ 0 then $
     filename=DIALOG_PICKFILE(FILTER = '*.lst',title=mymytitle,path=dir) $
  else $
     filename=list_in

  READCOL, filename, FORMAT='A', list
  dim = SIZE(list)
  num = dim[1]

END
