function linear,in,thresh,b,c,d,e,f,g,h,i,j

  s=size(in) & if s[0] EQ 2 then n_frame=1 else n_frame=s[3]
  xsize=s[1] & ysize=s[2]
  out=dblarr(size(in,/dimensions))
  ind=double(in)

  for frame_id=0,n_frame-1 do begin
     in_tmp=ind[*,*,frame_id]/100000.D
     out_tmp=fltarr(xsize,ysize)
     for y=0D,ysize-1 do begin for x=0D,xsize-1 do begin
     out_tmp[x,y]= $
        +(in_tmp[x,y]^1.D)*b*100000.D^1.D $
        +(in_tmp[x,y]^2.D)*c*100000.D^2.D $
        +(in_tmp[x,y]^3.D)*d*100000.D^3.D $
        +(in_tmp[x,y]^4.D)*e*100000.D^4.D $
        +(in_tmp[x,y]^5.D)*f*100000.D^5.D $
        +(in_tmp[x,y]^6.D)*g*100000.D^6.D $
        +(in_tmp[x,y]^7.D)*h*100000.D^7.D $
        +(in_tmp[x,y]^8.D)*i*100000.D^8.D $
        +(in_tmp[x,y]^9.D)*j*100000.D^9.D
  endfor & endfor

     no_correction=where(in_tmp*100000.D LT thresh,count)
     
     if count GT 0 then out_tmp[no_correction]=in_tmp[no_correction]*100000.D
     out[*,*,frame_id]=out_tmp[*,*]
     
  endfor
  
  return,out
  
end

pro irc_linear_cor,in,out,thresh,b,c,d,e,f,g,h,i,j

  common frame_type,chip,filter,grism

  out=linear(double(in),thresh,b,c,d,e,f,g,h,i,j)

end

pro do_linear_cor,refimage_ds,refimage_ds_short,specimage_ds,specimage_ds_short, $
                  refimage_lc,refimage_lc_short,specimage_lc,specimage_lc_short
  common colors,black,magenta,cyan,yellow,green,red,blue,navy,aqua,orchid,sky,beige,charcoal,grey,white

  set_linear_param,chip,thresh,b,c,d,e,f,g,h,i,j
;  x=dindgen(1e3)*1000D
;  y=dblarr(1e3)
;  y=x*b+x^2*c+x^3*d+x^4*e+x^5*f+x^6*g+x^7*h+x^8*i+x^9*j
;  print,max(y),max(x)
;  plot,x,y,color=red,xr=[0,1e5],yr=[0,1e5]

  irc_linear_cor,refimage_ds,       refimage_lc,       thresh,b,c,d,e,f,g,h,i,j
  irc_linear_cor,refimage_ds_short, refimage_lc_short, thresh,b,c,d,e,f,g,h,i,j
  irc_linear_cor,specimage_ds,      specimage_lc,      thresh,b,c,d,e,f,g,h,i,j
  irc_linear_cor,specimage_ds_short,specimage_lc_short,thresh,b,c,d,e,f,g,h,i,j

end
