function get_source_pos,center_pos

  common measured_offsets,space_shift,nsum

  case 1 of
     (nsum EQ 1): source_pos=[center_pos]
     (nsum EQ 2): source_pos=[center_pos,center_pos+1]
     (nsum EQ 3): source_pos=[center_pos-1,center_pos,center_pos+1]
     (nsum EQ 4): source_pos=[center_pos-1,center_pos,center_pos+1,center_pos+2]
     (nsum EQ 5): source_pos=[center_pos-2,center_pos-1,center_pos,center_pos+1,center_pos+2]
     (nsum EQ 6): source_pos=[center_pos-2,center_pos-1,center_pos,center_pos+1,center_pos+2,center_pos+3]
     (nsum EQ 7): source_pos=[center_pos-3,center_pos-2,center_pos-1,center_pos,center_pos+1,center_pos+2,center_pos+3]
     (nsum EQ 8): source_pos=[center_pos-3,center_pos-2,center_pos-1,center_pos,center_pos+1,center_pos+2,center_pos+3, $
                              center_pos+4]
     (nsum EQ 9): source_pos=[center_pos-4,center_pos-3,center_pos-2,center_pos-1,center_pos,center_pos+1,center_pos+2,center_pos+3, $
                              center_pos+4]
     (nsum EQ 10): source_pos=[center_pos-4,center_pos-3,center_pos-2,center_pos-1,center_pos,center_pos+1,center_pos+2,center_pos+3, $
                               center_pos+4,center_pos+5]
     (nsum EQ 11): source_pos=[center_pos-5,center_pos-4,center_pos-3,center_pos-2,center_pos-1,center_pos,center_pos+1,center_pos+2, $
                               center_pos+3,center_pos+4,center_pos+5]
     (nsum EQ 12): source_pos=[center_pos-5,center_pos-4,center_pos-3,center_pos-2,center_pos-1,center_pos,center_pos+1,center_pos+2, $
                               center_pos+3,center_pos+4,center_pos+5,center_pos+6]
     (nsum EQ 13): source_pos=[center_pos-6,center_pos-5,center_pos-4,center_pos-3,center_pos-2,center_pos-1,center_pos,center_pos+1,center_pos+2, $
                               center_pos+3,center_pos+4,center_pos+5,center_pos+6]
     (nsum EQ 14): source_pos=[center_pos-6,center_pos-5,center_pos-4,center_pos-3,center_pos-2,center_pos-1,center_pos,center_pos+1,center_pos+2, $
                               center_pos+3,center_pos+4,center_pos+5,center_pos+6,center_pos+7]
     (nsum EQ 15): source_pos=[center_pos-7,center_pos-6,center_pos-5,center_pos-4,center_pos-3,center_pos-2,center_pos-1,center_pos, $
                               center_pos+1,center_pos+2,center_pos+3,center_pos+4,center_pos+5,center_pos+6,center_pos+7]
     (nsum EQ 16): source_pos=[center_pos-7,center_pos-6,center_pos-5,center_pos-4,center_pos-3,center_pos-2,center_pos-1,center_pos, $
                               center_pos+1,center_pos+2,center_pos+3,center_pos+4,center_pos+5,center_pos+6,center_pos+7,center_pos+8]
     (nsum EQ 17): source_pos=[center_pos-8,center_pos-7,center_pos-6,center_pos-5,center_pos-4,center_pos-3,center_pos-2,center_pos-1,center_pos, $
                               center_pos+1,center_pos+2,center_pos+3,center_pos+4,center_pos+5,center_pos+6,center_pos+7,center_pos+8]
     (nsum EQ 18): source_pos=[center_pos-8,center_pos-7,center_pos-6,center_pos-5,center_pos-4,center_pos-3,center_pos-2,center_pos-1,center_pos, $
                               center_pos+1,center_pos+2,center_pos+3,center_pos+4,center_pos+5,center_pos+6,center_pos+7,center_pos+8,center_pos+9]
     (nsum EQ 19): source_pos=[center_pos-9,center_pos-8,center_pos-7,center_pos-6,center_pos-5,center_pos-4,center_pos-3,center_pos-2,center_pos-1,center_pos, $
                               center_pos+1,center_pos+2,center_pos+3,center_pos+4,center_pos+5,center_pos+6,center_pos+7,center_pos+8,center_pos+9]
     (nsum EQ 20): source_pos=[center_pos-9,center_pos-8,center_pos-7,center_pos-6,center_pos-5,center_pos-4,center_pos-3,center_pos-2,center_pos-1,center_pos, $
                               center_pos+1,center_pos+2,center_pos+3,center_pos+4,center_pos+5,center_pos+6,center_pos+7,center_pos+8,center_pos+9,center_pos+10]
     (nsum EQ 21): source_pos=[center_pos-10,center_pos-9,center_pos-8,center_pos-7,center_pos-6,center_pos-5,center_pos-4,center_pos-3,center_pos-2,center_pos-1,center_pos, $
                               center_pos+1,center_pos+2,center_pos+3,center_pos+4,center_pos+5,center_pos+6,center_pos+7,center_pos+8,center_pos+9,center_pos+10]
     
     else: source_pos=[center_pos-1,center_pos,center_pos+1] ; default
  endcase

  return,source_pos

end

pro set_source_pos,source_table,source_id,center_pos,source_pos, $
                   stdstar_mode=stdstar_mode,whole_aperture=whole_aperture

  common measured_offsets,space_shift,nsum
 
  xarray=findgen(!IRC_SPECRED_SPECEXTRACTPARAM.specaper_dx)
  if (!IRC_SPECRED_OBSPARAM.slit_mode EQ 0B) || (!IRC_SPECRED_OBSPARAM.slit_mode && defined(nsum)) then begin
     if keyword_set(stdstar_mode) && keyword_set(whole_aperture) then begin
                                ; whole aperture setting
        source_pos=xarray
        source_table[source_id].spec_1dextract_dx=!IRC_SPECRED_SPECEXTRACTPARAM.specaper_dx
     endif else begin
        center_pos=source_table[source_id].spec_x_pos+space_shift
        source_pos=get_source_pos(center_pos)
        source_table[source_id].spec_1dextract_dx=nsum
     endelse
     
  endif else begin              ; for slit mode for all
     source_pos=xarray
     source_table[source_id].spec_1dextract_dx=!IRC_SPECRED_SPECEXTRACTPARAM.specaper_dx
  endelse
end


pro make_spec1d,specimage_n_wc,specimage_n_fc,specmask_n,sigmaimage_n_fc,source_table, $
                specimage_wc_1d,specimage_fc_1d,sigmaimage_fc_1d,sigmaimage_ADU_1d, $
                stdstar_mode=stdstar_mode,no_mask=no_mask,average_mode=average_mode,whole_aperture=whole_aperture, $
                noise_plot_only=noise_plot_only

  common measured_offsets,space_shift,nsum
  
; sigmaimage_fc_1d: sigma of each image at given lambda in flux units,
; converted for summed 1d image: fltarr(specaper_dy,n_source)
; sigmaimage_ADU_1d: sigma of each image at given lambda in ADU units,
; converted for summed 1d image: fltarr(specaper_dy,n_source)
  
  s=size(specimage_n_wc) & ysize=s[2]
  n_source=n_elements(source_table)

  if defined(space_shift) EQ 0 then space_shift=0
  if defined(nsum) EQ 0 then nsum=3
  if defined(specmask_n) EQ 0 then specmask_n_use=make_array(size(specimage_n_wc,/dimensions),/float,value=1.)

; even if no_mask option is set, the out-of-FOV area will be masked out.
  if defined(no_mask) then begin
     specmask_n_use=make_array(size(specimage_n_wc,/dimensions),/float,value=1.)
     for source_id=0,n_source-1 do begin
        for y=0,ysize-1 do begin
           if total(specimage_n_wc[*,y,source_id]) EQ 0. then $
              specmask_n_use[*,y,source_id]=!values.f_nan
        endfor
     endfor
  endif else specmask_n_use=specmask_n

  specimage_wc_1d=fltarr(!IRC_SPECRED_SPECEXTRACTPARAM.specaper_dy,n_source)
  specimage_fc_1d=fltarr(!IRC_SPECRED_SPECEXTRACTPARAM.specaper_dy,n_source)
  sigmaimage_fc_1d=fltarr(!IRC_SPECRED_SPECEXTRACTPARAM.specaper_dy,n_source)
  sigmaimage_ADU_1d=fltarr(n_source)
  
  for source_id=0,n_source-1 do begin
     set_source_pos,source_table,source_id,center_pos,source_pos,stdstar_mode=stdstar_mode,whole_aperture=whole_aperture
     specimage_wc_1d[*,source_id]=total(specimage_n_wc[source_pos,*,source_id]*specmask_n_use[source_pos,*,source_id],1,/NAN)

     if NP() then begin
        nsum=nsum+6
        set_source_pos,source_table,source_id,center_pos,source_pos,stdstar_mode=stdstar_mode,whole_aperture=whole_aperture
        specimage_wc_1d[0:20,source_id]=total(specimage_n_wc[source_pos,0:20,source_id]*specmask_n_use[source_pos,0:20,source_id],1,/NAN)
        nsum=nsum-6
     endif
     
     if defined(specimage_n_fc) then begin
;       specimage_n_fc_smooth=filter_image(specimage_n_fc[*,*,source_id],median=3)
        specimage_fc_1d[*,source_id] =total(specimage_n_fc[source_pos,*,source_id]*specmask_n_use[source_pos,*,source_id],1,/NAN)
        sigmaimage_fc_1d[*,source_id]=total(sigmaimage_n_fc[source_pos,*,source_id]*specmask_n_use[source_pos,*,source_id],1,/NAN)
     endif
     
     if keyword_set(average_mode) then begin
        specimage_wc_1d[*,source_id]/=n_elements(source_pos)
        specimage_fc_1d[*,source_id]/=n_elements(source_pos)
     endif

     source_table[source_id].spec_bgnoise_1d_ADU=source_table[source_id].spec_bgnoise_ADU*sqrt(n_elements(source_pos))

  endfor
  
end
