pro get_aot_info,filename

  GET_LUN,U & openr,U,filename
  mrd_hread,U,header,status
  CLOSE,U & FREE_LUN,U
  
  aot=strmid(strtrim(fxpar(header,'AOT'),2),3,2)
  aot_opt=strupcase(strmid(strtrim(fxpar(header,'paraot'),2),0,1))
;pointing_opt=strmid(strtrim(fxpar(header,'paraot'),2),2,2)
  
  !IRC_SPECRED_OBSPARAM.AOT=aot+aot_opt

;;; force setting
;  !IRC_SPECRED_OBSPARAM.AOT='04A' ; default
;;;

  print,'Information (get_aot_info): This is ',!IRC_SPECRED_OBSPARAM.AOT,' operation mode.'
  
  if ~ (!IRC_SPECRED_OBSPARAM.AOT EQ '04A' || $
        !IRC_SPECRED_OBSPARAM.AOT EQ '04B' || $
        !IRC_SPECRED_OBSPARAM.AOT EQ '04C' || $
        !IRC_SPECRED_OBSPARAM.AOT EQ '02B') then begin
     !IRC_SPECRED_OBSPARAM.AOT='04A' ; default
     
     print,'Warning (get_aot_info): The AOT is wrong! Check the FITS header. Assuming ',!IRC_SPECRED_OBSPARAM.AOT,' as default.'
  endif
  
end
